%if 0%{?suse_version}
%define repo_path %_sysconfdir/zypp/repos.d
%define system sles
%else
%define repo_path %_sysconfdir/yum.repos.d
%define system centos
%endif

Summary: op5 community package configuration.
Name: op5-community-release
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/System-Addons
License: op5 Software License
Prefix: %repo_path
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
%if 0%{?suse_version}
BuildRequires: libzypp
%endif

%description
%name contains repo configuration for Unsupported op5 extras.

%prep
%setup -q

%build

%install
rm -rf %buildroot
mkdir %buildroot

mkdir -p %buildroot/%repo_path
mkdir -p %buildroot/%_sysconfdir/pki/rpm-gpg

# Install stable repo files
install -m 664 op5-community-release.repo.%system %buildroot/%repo_path/op5-community-release.repo
install -m 664 op5-community-release-debuginfo.repo.%system %buildroot/%repo_path/op5-community-release-debuginfo.repo
install -m 664 op5-community-release-source.repo.%system %buildroot/%repo_path/op5-community-release-source.repo

%files
%defattr(-, root, root)
%repo_path/op5-community-release.repo
%repo_path/op5-community-release-debuginfo.repo
%repo_path/op5-community-release-source.repo

%clean
rm -rf %buildroot

%changelog
* Sat Feb 8 2014 Mattias Ryrlén <mattiasr@op5.com>
- Initial creation
